<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."bad_login/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."bad_login/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."bad_login/locale/English.php";
}

if (!checkrights("IP")) fallback("../../index.php");

if (isset($_GET['delete']) && is_numeric($_GET['delete'])){
	$query = dbquery("DELETE FROM ".$db_prefix."bad_login WHERE login_id='".$_GET['delete']."'");
	redirect(FUSION_SELF);
} elseif(isset($_GET['lookup']) && is_numeric($_GET['lookup'])){
	$query = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_ip='".$_GET['lookup']."'");
	if(dbrows($query) != 0) {
		opentable(dbrows($query).$locale['BLM102']);
		$counter = 0;
		while ($data = dbarray($query)){
			echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>";
			echo "<br />".$data['user_ip'];
			$counter++;
			if(dbrows($query) >= 2 && $counter <= dbrows($query)) echo "<br /><br />";
		}
	} else {
		opentable($locale['BLM103']);
		echo $locale['BLM104'];
	}
	closetable();
} else {
	$result = dbquery("SELECT * FROM ".$db_prefix."bad_login");
	opentable($locale['BLM105']);
	if(dbrows($result) != 0){
		echo "<center><table width='500px'><tr><td>";
		echo "<span style='font-weight:bold'>".$locale['BLM106']."</span></td><td><span style='font-weight:bold'>Time</span></td><td><span style='font-weight:bold'>".$locale['BLM107']."</span></td><td><span style='font-weight:bold'>".$locale['BLM108']."</span></td></tr>";
		while($data = dbarray($result)){
			echo "<tr><td><a href='".FUSION_SELF."?lookup=".$data['login_ip']."'>";
			echo $data['login_ip']."</a></td>";
			echo "<td>".ucwords(showdate("%d.%m.%Y %H:%M:%S", $data['login_time']))."</td>";
			echo "<td>".$data['login_user']."</td>";
			echo "<td><a href='".FUSION_SELF."?delete=".$data['login_id']."'>".$locale['BLM109']."</a><td></tr>";
		}
		echo "</table></center>";
	} else {
		echo "<center>".$locale['BLM110']."</center>";
	}
	closetable();
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>